package stackjava.com.jooq.test;

import java.sql.Connection;
import java.sql.DriverManager;

import org.jooq.DSLContext;
import org.jooq.SQLDialect;
import org.jooq.impl.DSL;

import stackjava.com.jooq.Tables;


public class DemoDelete {
	  public static void main(String[] args) throws Exception {
	        String user = "root";
	        String password = "admin1234";
	        String url = "jdbc:mysql://localhost:3306/library";
	        try (Connection connection = DriverManager.getConnection(url, user, password)) {
	            DSLContext dslContext = DSL.using(connection, SQLDialect.MYSQL);
	            
	            dslContext.deleteFrom(Tables.AUTHOR).where(Tables.AUTHOR.ID.gt(3)).execute();
	            
	            System.out.println("Deleted!");
	        }
	        catch (Exception e) {
	            e.printStackTrace();
	        }
	    }
}
