package stackjava.com.jooq.test;

import java.sql.Connection;
import java.sql.DriverManager;

import org.jooq.DSLContext;
import org.jooq.SQLDialect;
import org.jooq.impl.DSL;

import stackjava.com.jooq.Tables;

public class DemoUpdate {
	public static void main(String[] args) throws Exception {
		String user = "root";
		String password = "admin1234";
		String url = "jdbc:mysql://localhost:3306/library";
		try (Connection connection = DriverManager.getConnection(url, user, password)) {
			DSLContext dslContext = DSL.using(connection, SQLDialect.MYSQL);

			dslContext.update(Tables.AUTHOR).set(Tables.AUTHOR.FIRST_NAME, "Meyer")
					.set(Tables.AUTHOR.LAST_NAME, "Stephenie").where(Tables.AUTHOR.ID.eq(5)).execute();

			System.out.println("Updated!");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
